Loading...
Searching...
No Matches
fastjet::TiledJet Class Reference

structure analogous to BriefJet, but with the extra information needed for dealing with tiles More...

`#include <fastjet/internal/LazyTiling9Alt.hh>`

Collaboration diagram for fastjet::TiledJet:
[legend]

## Public Member Functions

void | label_minheap_update_needed ()
void | label_minheap_update_done ()
bool | minheap_update_needed () const

## Public Attributes

double | eta
double | phi
double | kt2
double | NN_dist
TiledJet * | NN
TiledJet * | previous
TiledJet * | next
int | _jets_index
int | tile_index
bool | _minheap_update_needed

## Detailed Description

structure analogous to BriefJet, but with the extra information needed for dealing with tiles

Definition at line 75 of file LazyTiling9Alt.hh.

## Member Function Documentation

## label_minheap_update_needed()

void fastjet::TiledJet::label_minheap_update_needed | ( |  | ) |

inline

Definition at line 84 of file LazyTiling9Alt.hh.

## label_minheap_update_done()

void fastjet::TiledJet::label_minheap_update_done | ( |  | ) |

inline

Definition at line 85 of file LazyTiling9Alt.hh.

## minheap_update_needed()

bool fastjet::TiledJet::minheap_update_needed | ( |  | ) | const

inline

Definition at line 86 of file LazyTiling9Alt.hh.

## Member Data Documentation

## eta

double fastjet::TiledJet::eta

Definition at line 77 of file LazyTiling9Alt.hh.

## phi

double fastjet::TiledJet::phi

Definition at line 77 of file LazyTiling9Alt.hh.

## kt2

double fastjet::TiledJet::kt2

Definition at line 77 of file LazyTiling9Alt.hh.

## NN_dist

double fastjet::TiledJet::NN_dist

Definition at line 77 of file LazyTiling9Alt.hh.

## NN

TiledJet* fastjet::TiledJet::NN

Definition at line 78 of file LazyTiling9Alt.hh.

## previous

TiledJet * fastjet::TiledJet::previous

Definition at line 78 of file LazyTiling9Alt.hh.

## next

TiledJet * fastjet::TiledJet::next

Definition at line 78 of file LazyTiling9Alt.hh.

## _jets_index

int fastjet::TiledJet::_jets_index

Definition at line 79 of file LazyTiling9Alt.hh.

## tile_index

int fastjet::TiledJet::tile_index

Definition at line 79 of file LazyTiling9Alt.hh.

## _minheap_update_needed

bool fastjet::TiledJet::_minheap_update_needed

Definition at line 80 of file LazyTiling9Alt.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/LazyTiling9Alt.hh